# Enum Class AbstractAccessLogValve.ElapsedTimeElement.Style

java.lang.Object
java.lang.Enum<AbstractAccessLogValve.ElapsedTimeElement.Style>
org.apache.catalina.valves.AbstractAccessLogValve.ElapsedTimeElement.Style

All Implemented Interfaces:
  `Serializable, Comparable<AbstractAccessLogValve.ElapsedTimeElement.Style>, Constable`

Enclosing class:
  `AbstractAccessLogValve.ElapsedTimeElement`

public static enum AbstractAccessLogValve.ElapsedTimeElement.Style extends Enum<AbstractAccessLogValve.ElapsedTimeElement.Style>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MICROSECONDS`
`MILLISECONDS`
`NANOSECONDS`
`SECONDS`
`SECONDS_FRACTIONAL`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`append(CharArrayWriter buf, long time)`
Append the time to the buffer in the appropriate format.
`static AbstractAccessLogValve.ElapsedTimeElement.Style`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractAccessLogValve.ElapsedTimeElement.Style[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SECONDS

public static final AbstractAccessLogValve.ElapsedTimeElement.Style SECONDS

### SECONDS_FRACTIONAL

public static final AbstractAccessLogValve.ElapsedTimeElement.Style SECONDS_FRACTIONAL

### MILLISECONDS

public static final AbstractAccessLogValve.ElapsedTimeElement.Style MILLISECONDS

### MICROSECONDS

public static final AbstractAccessLogValve.ElapsedTimeElement.Style MICROSECONDS

### NANOSECONDS

public static final AbstractAccessLogValve.ElapsedTimeElement.Style NANOSECONDS

## Method Details

### values

public static AbstractAccessLogValve.ElapsedTimeElement.Style[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractAccessLogValve.ElapsedTimeElement.Style valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### append

public abstract void append(CharArrayWriter buf, long time)
Append the time to the buffer in the appropriate format.

Parameters:
  `buf` - The buffer to append to.
  `time` - The time to log in nanoseconds.